[ruby] Xcode - 配置:錯誤:在$ PATH中找不到可接受的C編譯器



Answers

要么從App商店安裝Xcode,要么你有一個註冊的免費開發者帳戶,你可以從http://developer.apple.com/downloads下載XCode命令行工具。

安裝完成後,您可以繼續使用rvm安裝紅寶石。

Question

從頭開始重建mac。 安裝xcode和rvm然後嘗試安裝紅寶石,但他們都給了我:

Error running ' ./configure --prefix=/Users/durrantm/.rvm/rubies/ruby-1.9.3-p125 
--enable-shared --disable-install-doc --with-libyaml 
--with-opt-dir=/Users/durrantm/.rvm/usr ', 
please read /Users/durrantm/.rvm/log/ruby-1.9.3-p125/configure.log
There has been an error while running configure. Halting the installation.
Michaels-MacBook-Air:~ durrantm$ 

日誌有:

checking for gcc... no
checking for cc... no
checking for cl.exe... no
configure: error: in `/Users/durrantm/.rvm/src/ruby-1.9.2-p290':
configure: error: no acceptable C compiler found in $PATH

我需要gcc C compliler嗎? 我該如何安裝?




閱讀rvm requirements它顯示了編譯ruby所需的內容。




Links